#include <bits/stdc++.h>
using namespace std;

int karte[20010],n,k;
int main(){

    cin>>n>>k;
      for(int i=1;i<=n;i++){
          cin>>karte[i];
      }

      for(int i=1;i<=n-1;i++){
         if(karte[i]==k){
           cout<<karte[i+1]<<endl;
           return 0;
         }      
      }
      
      if(karte[n]==k){
        cout<<karte[1]<<endl;
      } 

    return 0;
}